javascript-common_11_all.deb


Advertisement

Description

javascript-common - Base support for JavaScript library packages

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename javascript-common_11_all.deb
Package name javascript-common
Package version 11
Package release -
Package architecture all
Package type deb
Category web
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 5.92 KB
Installed size 68.00 KB
Web applications that use JavaScript need to distribute it through HTTP. Using
a common path for every script avoids the need to enable this path in the HTTP
server for every package.
This is a helper package that creates /usr/share/javascript and enables it in
the Apache and Lighttpd webserver.

Alternatives

Package Version Architecture Repository
javascript-common_11_all.deb 11 all Ubuntu Main
javascript-common - - -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package javascript-common_11_all.deb
Source Package javascript-common

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install javascript-common deb package:
    # sudo apt-get install javascript-common

Files

Path
/etc/apache2/conf-available/javascript-common.conf
/etc/lighttpd/conf-available/90-javascript-alias.conf
/usr/share/doc/javascript-common/README.Debian
/usr/share/doc/javascript-common/changelog.gz
/usr/share/doc/javascript-common/copyright
/usr/share/lintian/overrides/javascript-common

Changelog

2013-07-29 - Marcelo Jorge Vieira (metal) <metal@debian.org>
javascript-common (11) unstable; urgency=low
* Test if obsolete /etc/apache2/conf.d/ was removed by user before
touching it (Closes: #718249); Thanks Jean-Michel Vourgère.
* Improving clean up for fresh installs.
2013-07-28 - Marcelo Jorge Vieira (metal) <metal@debian.org>
javascript-common (10) unstable; urgency=low
* Downgrading webservers relation from 'recommends' to 'suggests'
2013-07-28 - Marcelo Jorge Vieira (metal) <metal@debian.org>
javascript-common (9) unstable; urgency=low
[ Jean-Michel Vourgère ]
* Fixed lighttpd test of preexisting link. (Closes: #712072)
* Reload apache2/lighttpd ourself, drop dependency on wwwconfig-common.
(Closes: #638200)
* Make lintian happy:
. Bumped standard to 3.9.4 (no change required).
. Canonicalize control vcs-fields.
* Make piuparts happy: (Closes: #603205)
. Remove conf-enabled/ on postrm if empty.
. Remove obsolete dir conf.d/ if empty on configure.
* Moved /etc/javascript-common conffiles into their final conf-available
locations.
conf-enabled/ and conf.d files are now proper links on conf-available ones.
. New maintscript.
. Renamed source file lighttpd.conf into 90-javascript-alias.conf.
. Bumped to compat level 9.
. Adjusted Depends on debhelper >= 9
* Add copyright format version.
* Changed set up for apache2.4 (Closes: #710475)
. Build-Depends on dh-apache2.
. New debian/apache2 file with dh_apache2 settings.
. Added --with apache2 to debian/rules.
. Changed Suggests: into Recommends: http.
* Disable lighttpd conf in prerm remove. Temporarily store the fact that user
manually disabled our configuration. In that case, do not reinstall link on
configure. See README.lighttpd_removal. (Downgrades #474913)
[ Marcelo Jorge Vieira ]
* Removed Steve Kemp from Uploaders
2010-09-27 - Marcelo Jorge Vieira (metal) <metal@debian.org>
javascript-common (8) unstable; urgency=low
* Upgranding Standards-Version to 3.9.1 (no changes);
* Changing my email for Debian address;
* Changed "javascript" from lowercase to CamelCase
in short description (Closes: #570675);
* Removed DM-Upload-Allowed field;
* Adding configuration for lighttpd (Closes: #594953)
Thanks Rogério Brito <rbrito@ime.usp.br>;
* Switch to dpkg-source 3.0 (quilt) format.
2009-08-26 - Daniel Baumann <daniel@debian.org>
javascript-common (7) unstable; urgency=low
* Removing myself from uploaders.
* Updating package to standards version 3.8.3.
* Minimizing rules file.
* Wrapping uploaders field.
2009-05-25 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
javascript-common (6) unstable; urgency=low
[ Marcelo Jorge Vieira ]
* Updated Standards-Version to 3.8.1
* Removed the Indexes option from Apache configuration (Closes: #529708)
* Added DM-Upload-Allowed control field
* Fixed my name in debian/control
[ Daniel Baumann ]
* Prefixing debhelper files with package name
2008-09-18 - Daniel Baumann <daniel@debian.org>
javascript-common (5) unstable; urgency=high
* Conditionally call wwwconfig-common/restart.sh in postrm script
(Closes: #499362).
2008-08-27 - Daniel Baumann <daniel@debian.org>
javascript-common (4) unstable; urgency=medium
* Downgrading relation to 'apache2 | httpd' from recommends to suggests
(Closes: #496259).
2008-06-09 - Daniel Baumann <daniel@debian.org>
javascript-common (3) unstable; urgency=medium
* Adding httpd alternative to apache2 recommends, thanks to Gregory
Colpart <reg@evolix.fr> (Closes: #485211).
* Removing superfluous lintian override from debhelper install file,
this is already taken care of by the lintian debhelper.
* Using lintian debhelper to install lintian overrides.
* Updating package to debhelper 7.
* Updating to standards 3.8.0.

See Also

Package Description
jayatana_2.7-0ubuntu5_amd64.deb Java Native Library for ayatana project
jfsutils_1.1.15-2.1_amd64.deb utilities for managing the JFS filesystem
jigit_1.20-2ubuntu1_amd64.deb tools for working with jigdo files
john-data_1.8.0-2_all.deb active password cracking tool - character sets
john_1.8.0-2_amd64.deb active password cracking tool
joyent-mdata-client_0.0.1-0ubuntu2_amd64.deb metadata client for use on SmartOS hyper-visor
juju-2.0_2.0~beta4-0ubuntu2_amd64.deb Juju is devops distilled - client
juju_2.0~beta4-0ubuntu2_all.deb next generation service orchestration system
kbd_1.15.5-1ubuntu4_amd64.deb Linux console font and keytable utilities
kdump-tools_1.5.9-5_all.deb scripts and tools for automating kdump (Linux crash dumps)
keepalived_1.2.19-1_amd64.deb Failover and monitoring daemon for LVS clusters
kernel-wedge_2.90ubuntu1_all.deb udeb package builder for Debian-Installer
kerneloops-daemon_0.12+git20140509-2ubuntu1_amd64.deb kernel oops tracker
kexec-tools_2.0.10-1ubuntu2_amd64.deb tools to support fast kexec reboots
keyboard-configuration_1.108ubuntu15_all.deb system-wide keyboard preferences
Advertisement
Advertisement